View Issue Details

IDProjectCategoryView StatusLast Update
0002314SymmetricDSBugpublic2015-08-13 11:00
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.19 
Target Version3.7.20Fixed in Version3.7.20 
Summary0002314: dbimport of xml (XmlDataReader) does not handle xsi:nil correctly
Descriptionhttps://sourceforge.net/p/symmetricds/discussion/739237/thread/76fc6825/?limit=25#506e
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 dda63d95

2015-06-13 15:51:36

chenson

Details Diff
0002314: dbimport of xml (XmlDataReader) does not handle xsi:nil correctly
0002314
add - symmetric-io/src/test/resources/org/jumpmind/symmetric/io/data/reader/xmldatareadertest1.xml Diff File
add - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/reader/XmlDataReaderTest.java Diff File
add - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/reader/TestableDataWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/XmlDataReader.java Diff File

SymmetricDS: master 8898ddc2

2015-06-13 15:51:36

chenson

Details Diff
0002314: dbimport of xml (XmlDataReader) does not handle xsi:nil correctly
0002314
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/XmlDataReader.java Diff File
add - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/reader/TestableDataWriter.java Diff File
add - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/reader/XmlDataReaderTest.java Diff File
add - symmetric-io/src/test/resources/org/jumpmind/symmetric/io/data/reader/xmldatareadertest1.xml Diff File

SymmetricDS: 3.7 f3f19ea1

2015-06-13 15:54:52

chenson

Details Diff
0002314: dbimport of xml (XmlDataReader) does not handle xsi:nil correctly
0002314
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/XmlDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/SymXmlDataReader.java Diff File

SymmetricDS: master cdc50d83

2015-06-13 15:54:52

chenson

Details Diff
0002314: dbimport of xml (XmlDataReader) does not handle xsi:nil correctly
0002314
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/SymXmlDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/XmlDataReader.java Diff File

Issue History

Date Modified Username Field Change
2015-06-13 15:51 chenson New Issue
2015-06-13 15:51 chenson Status new => assigned
2015-06-13 15:51 chenson Assigned To => chenson
2015-06-13 15:54 chenson Status assigned => resolved
2015-06-13 15:54 chenson Fixed in Version => 3.8.0
2015-06-13 15:54 chenson Resolution open => fixed
2015-06-13 16:00 chenson Changeset attached => SymmetricDS trunk r9506
2015-06-13 16:00 chenson Changeset attached => SymmetricDS trunk r9507
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master cdc50d83
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 8898ddc2
2015-07-31 15:13 chenson Fixed in Version 3.8.0 => 3.7.20
2015-07-31 15:13 chenson Target Version 3.8.0 => 3.7.20
2015-08-08 14:10 chenson Status resolved => closed
2015-08-13 11:00 chenson Changeset attached => SymmetricDS 3.7 f3f19ea1
2015-08-13 11:00 chenson Changeset attached => SymmetricDS 3.7 dda63d95